Bug 52443

Summary: Web Inspector: include source position in debugger call frames
Product: WebKit Reporter: Pavel Podivilov <podivilov>
Component: Web Inspector (Deprecated)Assignee: Pavel Podivilov <podivilov>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch.
none
Fix style.
yurys: review-
Use line:column instead of source position.
none
Fix style. yurys: review+

Description Pavel Podivilov 2011-01-14 05:31:52 PST
Web Inspector: include source position in debugger call frames. This is needed for debugging beautified scripts.
Comment 1 Pavel Podivilov 2011-01-14 05:32:36 PST
Created attachment 78931 [details]
Patch.
Comment 2 WebKit Review Bot 2011-01-14 05:34:55 PST
Attachment 78931 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/bindings/js/ScriptDebugServer.h:121:  The parameter name "debuggerCallFrame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/ScriptDebugServer.h:122:  The parameter name "debuggerCallFrame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 2 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Pavel Podivilov 2011-01-14 06:03:00 PST
Created attachment 78935 [details]
Fix style.
Comment 4 Yury Semikhatsky 2011-01-14 06:15:06 PST
Comment on attachment 78935 [details]
Fix style.

View in context: https://bugs.webkit.org/attachment.cgi?id=78935&action=review

> Source/WebCore/bindings/js/ScriptDebugServer.h:157
> +    ScriptsMap m_scripts;

This map is never populated nor cleared, is it intentional? r- for this
Comment 5 Pavel Podivilov 2011-01-17 03:38:10 PST
Created attachment 79148 [details]
Use line:column instead of source position.
Comment 6 WebKit Review Bot 2011-01-17 03:39:59 PST
Attachment 79148 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/bindings/js/JavaScriptCallFrame.h:78:  The parameter name "textPosition" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Pavel Podivilov 2011-01-17 07:27:14 PST
Created attachment 79170 [details]
Fix style.
Comment 8 Pavel Podivilov 2011-01-18 03:05:26 PST
Committed r76013: <http://trac.webkit.org/changeset/76013>